Avisi cloud logo
OpenapiGenerated

Add or update a members inside an environment.

POST
/api/v1/orgs/{organisationSlug}/environments/{environmentSlug}/members/{memberIdentity}

Path Parameters

organisationSlug*string
Match^[a-z0-9-_]+$
environmentSlug*string
Match^[a-z0-9-_]+$
memberIdentity*string

The organisation member identity of the user.

Request Body

application/json
  1. body
kubernetesRole*string
Value in"cluster-admin""edit""view"""

Response Body

Request was successfully processed. The response body contains the requested data.

application/json
  1. response
[index: integer]?
curl -X POST 'https://api.avisi.cloud/api/v1/orgs/string/environments/string/members/string' \  -H 'Content-Type: application/json' \  -d '{  "kubernetesRole": "cluster-admin"}'
[  {    "memberIdentity": "c096b660-64e1-4a6d-94c8-298e866b3d9a",    "email": "string",    "kubernetesRole": "cluster-admin",    "createdAt": "2019-08-24T14:15:22Z"  }]